#ifndef _ex_display_h_
#define _ex_display_h_

#define A_NORM		0x07			/* normal */
#define A_INVERSE	0x70			/* inverse */
#define A_INTENSE	0x0F			/* intensive */
#define A_BLINK		0x87			/* blink */
#define A_UNDER		0x01			/* underline */

typedef struct s_cell {
  char chr;					/* character */
  char att;					/* attribute */
} CELL;


#define DIR_UP		0
#define DIR_DOWN	1
#define DIR_LEFT	2
#define DIR_RIGHT	3
  
typedef struct s_rect {
    short r1, c1;				/* upper left corner */
    short r2, c2;				/* lower right corner */
  } RECT;

#define RWIDTH(a) ((a)->c2 - (a)->c1 + 1)
#define RHEIGHT(a) ((a)->r2 - (a)->r1 + 1)
#define RASG(a, row1, col1, row2, col2) ((a)->r1 = row1, (a)->c1 = col1, (a)->r2 = row2, (a)->c2 = col2)
#define RCPY(dst, src) ((dst)->r1 = (src)->r1, (dst)->c1 = (scr)->c1, (dst)->r2 = (src)->r2, (dst)->c2 = (src)->c2)

extern RECT GIANT_RECT;

#define GIANT 9999

#endif _ex_display_h_
